Opensim build issue


#1

Hi All,

just started setting up the NRP.

Journey was smooth until the build started for opensim with these errors
/home/nair/workspace/hbp/NRP/opensim/OpenSim/Simulation/Model/HuntCrossleyForce.cpp:81:48: error: ‘class SimTK::ContactGeometry’ has no member named ‘setUserData’
contacts.updBodyGeometry(set, idx).setUserData(geom.getUserData());
^
/home/nair/workspace/hbp/NRP/opensim/OpenSim/Simulation/Model/ElasticFoundationForce.cpp: In member function ‘virtual void OpenSim::ElasticFoundationForce::addToSystem(SimTK::MultibodySystem&) const’:
/home/nair/workspace/hbp/NRP/opensim/OpenSim/Simulation/Model/ElasticFoundationForce.cpp:81:48: error: ‘class SimTK::ContactGeometry’ has no member named ‘setUserData’
contacts.updBodyGeometry(set, idx).setUserData(geom.getUserData());

Looks like a API mismatch.

Has anybody experienced similar problems? Help is much appreciated :smile:

Best,
Suraj


#2

I also encounter the same problem. Is there any solution for this problem now?


#3

Dear Yingkan Chen,

I am unable to reproduce this issue with the latest online sources. The problem is, most probably, that you are using a version of NRP’s simbody which is outdated. The change causing the problem was done on the 16th May 2017. After this date, any versions of the NRP’s opensim and simbody should compile without the reported error.

Best regards,
Luc


#4

Dear Yingkan Chen,

I added a comment on the issue that you opened here https://hbpneurorobotics.atlassian.net/browse/NUIT-44 . After investigation it seems like your simbody code is out of date, or that you have installed simbody via a package manager and not from the NRP sources. Please check if there is a SimBody package installed from distribution packages on the system, and/or if the right include directories under the $NRP prefix are picked up. If there is a system installed simbody package, please remove it and use the NRP one. Just in case I would recommend removing the simbody repository completely, and then

cd $HBP/user-scripts
./clone-all-repos
./update_nrp update all

I hope it helps.

Regards,
Manos